stages:
- print_date
print-date:
  stage: print_date
  script:
  - date
  rules:
  - if: $CI_PIPELINE_SOURCE == "merge_request_event"
    when: never
    allow_failure: false
  - if: $CI_COMMIT_BRANCH == "master"
    when: on_success
    allow_failure: false
